### Hierarchy

- DialogRequest

## Index

### Constructors

- constructor

### Properties

- _baseUrl
- _body
- _fetchClientParams
- _queryParams
- _resourcePath
- _resourcePathElems
- ACTIONS
- AVAILABLE_VALUES
- AVAILABLE_VIEWS
- CONTENT
- DIALOGS
- RECORD
- RECORDS
- REDIRECTIONS
- SELECTED_VIEW
- SESSIONS
- TENANTS
- VIEW_MODE
- WORKBENCHES

### Methods

- actionId
- baseUrl
- body
- deconstructDeleteDialogPath
- deconstructDeleteSessionPath
- deconstructGetDialogPath
- deconstructGetRecordPath
- deconstructGetRedirectionPath
- deconstructPostMenuActionPath
- deconstructPostRecordsPath
- deconstructPostSessionContentPath
- deconstructPostSessionsPath
- deconstructPostWorkbenchActionPath
- deconstructPutPropertyPath
- deconstructPutRecordPath
- deconstructPutViewModePath
- dialogId
- fetchClientParams
- isCreateSessionPath
- isDeleteDialogPath
- isDeleteSessionPath
- isGetAvailableViewsPath
- isGetDialogPath
- isGetDialogPathWithDialogId
- isGetRecordPath
- isGetRedirectionPath
- isGetSelectedViewPath
- isGetSessionPath
- isGetTenantPath
- isGetTenantsPath
- isGetViewModePath
- isGetWorkbenchesPath
- isPostAvailableValuesPath
- isPostMenuActionPath
- isPostMenuActionPathWithActionId
- isPostMenuActionPathWithDialogIdAndActionId
- isPostRecordsPath
- isPostRecordsPathWithDialogId
- isPostSessionContentPath
- isPostSessionPath
- isPostWorkbenchActionPath
- isPostWorkbenchActionPathWithActionId
- isPutPropertyPath
- isPutRecordPath
- isPutSelectedViewPath
- isPutViewModePath
- resourcePath
- resourcePathElems
- sessionId
- targetId
- targetIds
- tenantId
- createFromDeleteRequest
- createFromGetRequest
- createFromPostMultipartRequest
- createFromPostRequest
- createFromPutRequest

## Constructors

### constructor

- new DialogRequest(baseUrl: string, resourcePath: string, body: StringDictionary, queryParams: StringDictionary, formData: FormData, fetchClientParams: any[]): DialogRequest

- - Defined in proxy/DialogRequest.ts:29

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### body: StringDictionary

  - ##### queryParams: StringDictionary

  - ##### formData: FormData

  - ##### fetchClientParams: any[]

  #### Returns DialogRequest

## Properties

### Private _baseUrl

_baseUrl: string

- Defined in proxy/DialogRequest.ts:24

### Private _body

_body: StringDictionary

- Defined in proxy/DialogRequest.ts:25

### Private _fetchClientParams

_fetchClientParams: any[]

- Defined in proxy/DialogRequest.ts:26

### Private _queryParams

_queryParams: StringDictionary

- Defined in proxy/DialogRequest.ts:27

### Private _resourcePath

_resourcePath: string

- Defined in proxy/DialogRequest.ts:28

### Private _resourcePathElems

_resourcePathElems: string[]

- Defined in proxy/DialogRequest.ts:29

### Static Private ACTIONS

ACTIONS: string = "actions"

- Defined in proxy/DialogRequest.ts:10

### Static Private AVAILABLE_VALUES

AVAILABLE_VALUES: string = "availableValues"

- Defined in proxy/DialogRequest.ts:11

### Static Private AVAILABLE_VIEWS

AVAILABLE_VIEWS: string = "availableViews"

- Defined in proxy/DialogRequest.ts:12

### Static Private CONTENT

CONTENT: string = "content"

- Defined in proxy/DialogRequest.ts:13

### Static Private DIALOGS

DIALOGS: string = "dialogs"

- Defined in proxy/DialogRequest.ts:14

### Static Private RECORD

RECORD: string = "record"

- Defined in proxy/DialogRequest.ts:15

### Static Private RECORDS

RECORDS: string = "records"

- Defined in proxy/DialogRequest.ts:16

### Static Private REDIRECTIONS

REDIRECTIONS: string = "redirections"

- Defined in proxy/DialogRequest.ts:17

### Static Private SELECTED_VIEW

SELECTED_VIEW: string = "selectedView"

- Defined in proxy/DialogRequest.ts:18

### Static Private SESSIONS

SESSIONS: string = "sessions"

- Defined in proxy/DialogRequest.ts:19

### Static Private TENANTS

TENANTS: string = "tenants"

- Defined in proxy/DialogRequest.ts:20

### Static Private VIEW_MODE

VIEW_MODE: string = "viewMode"

- Defined in proxy/DialogRequest.ts:21

### Static Private WORKBENCHES

WORKBENCHES: string = "workbenches"

- Defined in proxy/DialogRequest.ts:22

## Methods

### actionId

- actionId(): string

- - Defined in proxy/DialogRequest.ts:60

  #### Returns string

### baseUrl

- baseUrl(): string

- - Defined in proxy/DialogRequest.ts:64

  #### Returns string

### body

- body(): StringDictionary

- - Defined in proxy/DialogRequest.ts:68

  #### Returns StringDictionary

### deconstructDeleteDialogPath

- deconstructDeleteDialogPath(): any

- - Defined in proxy/DialogRequest.ts:72

  #### Returns any

### deconstructDeleteSessionPath

- deconstructDeleteSessionPath(): any

- - Defined in proxy/DialogRequest.ts:80

  #### Returns any

### deconstructGetDialogPath

- deconstructGetDialogPath(): any

- - Defined in proxy/DialogRequest.ts:87

  #### Returns any

### deconstructGetRecordPath

- deconstructGetRecordPath(): any

- - Defined in proxy/DialogRequest.ts:95

  #### Returns any

### deconstructGetRedirectionPath

- deconstructGetRedirectionPath(): any

- - Defined in proxy/DialogRequest.ts:103

  #### Returns any

### deconstructPostMenuActionPath

- deconstructPostMenuActionPath(): any

- - Defined in proxy/DialogRequest.ts:111

  #### Returns any

### deconstructPostRecordsPath

- deconstructPostRecordsPath(): any

- - Defined in proxy/DialogRequest.ts:120

  #### Returns any

### deconstructPostSessionContentPath

- deconstructPostSessionContentPath(): any

- - Defined in proxy/DialogRequest.ts:128

  #### Returns any

### deconstructPostSessionsPath

- deconstructPostSessionsPath(): any

- - Defined in proxy/DialogRequest.ts:136

  #### Returns any

### deconstructPostWorkbenchActionPath

- deconstructPostWorkbenchActionPath(): any

- - Defined in proxy/DialogRequest.ts:142

  #### Returns any

### deconstructPutPropertyPath

- deconstructPutPropertyPath(): any

- - Defined in proxy/DialogRequest.ts:160

  #### Returns any

### deconstructPutRecordPath

- deconstructPutRecordPath(): any

- - Defined in proxy/DialogRequest.ts:169

  #### Returns any

### deconstructPutViewModePath

- deconstructPutViewModePath(): any

- - Defined in proxy/DialogRequest.ts:151

  #### Returns any

### dialogId

- dialogId(): string

- - Defined in proxy/DialogRequest.ts:177

  #### Returns string

### fetchClientParams

- fetchClientParams(): any[]

- - Defined in proxy/DialogRequest.ts:181

  #### Returns any[]

### isCreateSessionPath

- isCreateSessionPath(): boolean

- - Defined in proxy/DialogRequest.ts:185

  #### Returns boolean

### isDeleteDialogPath

- isDeleteDialogPath(): boolean

- - Defined in proxy/DialogRequest.ts:191

  #### Returns boolean

### isDeleteSessionPath

- isDeleteSessionPath(): boolean

- - Defined in proxy/DialogRequest.ts:200

  #### Returns boolean

### isGetAvailableViewsPath

- isGetAvailableViewsPath(): boolean

- - Defined in proxy/DialogRequest.ts:206

  #### Returns boolean

### isGetDialogPath

- isGetDialogPath(): boolean

- - Defined in proxy/DialogRequest.ts:216

  #### Returns boolean

### isGetDialogPathWithDialogId

- isGetDialogPathWithDialogId(dialogId: string): boolean

- - Defined in proxy/DialogRequest.ts:225

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### isGetRecordPath

- isGetRecordPath(): boolean

- - Defined in proxy/DialogRequest.ts:233

  #### Returns boolean

### isGetRedirectionPath

- isGetRedirectionPath(): boolean

- - Defined in proxy/DialogRequest.ts:243

  #### Returns boolean

### isGetSelectedViewPath

- isGetSelectedViewPath(): boolean

- - Defined in proxy/DialogRequest.ts:252

  #### Returns boolean

### isGetSessionPath

- isGetSessionPath(): boolean

- - Defined in proxy/DialogRequest.ts:262

  #### Returns boolean

### isGetTenantPath

- isGetTenantPath(): boolean

- - Defined in proxy/DialogRequest.ts:266

  #### Returns boolean

### isGetTenantsPath

- isGetTenantsPath(): boolean

- - Defined in proxy/DialogRequest.ts:270

  #### Returns boolean

### isGetViewModePath

- isGetViewModePath(): boolean

- - Defined in proxy/DialogRequest.ts:274

  #### Returns boolean

### isGetWorkbenchesPath

- isGetWorkbenchesPath(): boolean

- - Defined in proxy/DialogRequest.ts:284

  #### Returns boolean

### isPostAvailableValuesPath

- isPostAvailableValuesPath(): boolean

- - Defined in proxy/DialogRequest.ts:293

  #### Returns boolean

### isPostMenuActionPath

- isPostMenuActionPath(): boolean

- - Defined in proxy/DialogRequest.ts:304

  #### Returns boolean

### isPostMenuActionPathWithActionId

- isPostMenuActionPathWithActionId(actionId: string): boolean

- - Defined in proxy/DialogRequest.ts:314

  #### Parameters

  - ##### actionId: string

  #### Returns boolean

### isPostMenuActionPathWithDialogIdAndActionId

- isPostMenuActionPathWithDialogIdAndActionId(dialogId: string, actionId: string): boolean

- - Defined in proxy/DialogRequest.ts:322

  #### Parameters

  - ##### dialogId: string

  - ##### actionId: string

  #### Returns boolean

### isPostRecordsPath

- isPostRecordsPath(): boolean

- - Defined in proxy/DialogRequest.ts:331

  #### Returns boolean

### isPostRecordsPathWithDialogId

- isPostRecordsPathWithDialogId(dialogId: string): boolean

- - Defined in proxy/DialogRequest.ts:341

  #### Parameters

  - ##### dialogId: string

  #### Returns boolean

### isPostSessionContentPath

- isPostSessionContentPath(): boolean

- - Defined in proxy/DialogRequest.ts:355

  #### Returns boolean

### isPostSessionPath

- isPostSessionPath(): boolean

- - Defined in proxy/DialogRequest.ts:349

  #### Returns boolean

### isPostWorkbenchActionPath

- isPostWorkbenchActionPath(): boolean

- - Defined in proxy/DialogRequest.ts:364

  #### Returns boolean

### isPostWorkbenchActionPathWithActionId

- isPostWorkbenchActionPathWithActionId(actionId: string): boolean

- - Defined in proxy/DialogRequest.ts:374

  #### Parameters

  - ##### actionId: string

  #### Returns boolean

### isPutPropertyPath

- isPutPropertyPath(): boolean

- - Defined in proxy/DialogRequest.ts:382

  #### Returns boolean

### isPutRecordPath

- isPutRecordPath(): boolean

- - Defined in proxy/DialogRequest.ts:392

  #### Returns boolean

### isPutSelectedViewPath

- isPutSelectedViewPath(): boolean

- - Defined in proxy/DialogRequest.ts:402

  #### Returns boolean

### isPutViewModePath

- isPutViewModePath(): boolean

- - Defined in proxy/DialogRequest.ts:412

  #### Returns boolean

### resourcePath

- resourcePath(): string

- - Defined in proxy/DialogRequest.ts:422

  #### Returns string

### resourcePathElems

- resourcePathElems(): string[]

- - Defined in proxy/DialogRequest.ts:426

  #### Returns string[]

### sessionId

- sessionId(): string

- - Defined in proxy/DialogRequest.ts:430

  #### Returns string

### targetId

- targetId(): string

- - Defined in proxy/DialogRequest.ts:434

  #### Returns string

### targetIds

- targetIds(): string[]

- - Defined in proxy/DialogRequest.ts:442

  #### Returns string[]

### tenantId

- tenantId(): string

- - Defined in proxy/DialogRequest.ts:449

  #### Returns string

### Static createFromDeleteRequest

- createFromDeleteRequest(baseUrl: string, resourcePath: string): DialogRequest

- - Defined in proxy/DialogRequest.ts:40

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  #### Returns DialogRequest

### Static createFromGetRequest

- createFromGetRequest(baseUrl: string, resourcePath: string, queryParams: StringDictionary): DialogRequest

- - Defined in proxy/DialogRequest.ts:44

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### queryParams: StringDictionary

  #### Returns DialogRequest

### Static createFromPostMultipartRequest

- createFromPostMultipartRequest(baseUrl: string, resourcePath: string, formData: FormData): DialogRequest

- - Defined in proxy/DialogRequest.ts:56

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### formData: FormData

  #### Returns DialogRequest

### Static createFromPostRequest

- createFromPostRequest(baseUrl: string, resourcePath: string, body: StringDictionary): DialogRequest

- - Defined in proxy/DialogRequest.ts:48

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### body: StringDictionary

  #### Returns DialogRequest

### Static createFromPutRequest

- createFromPutRequest(baseUrl: string, resourcePath: string, body: StringDictionary): DialogRequest

- - Defined in proxy/DialogRequest.ts:52

  #### Parameters

  - ##### baseUrl: string

  - ##### resourcePath: string

  - ##### body: StringDictionary

  #### Returns DialogRequest

Generated using TypeDoc